batch_file Struct Reference

Internal description of a single file used by a batch job. More...

`#include <batch_file.h>`

## Data Fields

char * | outer_name
| The name of the file in the submitters filesystem namespace.
char * | inner_name
| The name of the file as it should appear to the running job.
char * | hash
| The hierarchical checksum of this file/directory, when content based names are used.

## Detailed Description

Internal description of a single file used by a batch job.

## Field Documentation

## outer_name

char* batch_file::outer_name

The name of the file in the submitters filesystem namespace.

## inner_name

char* batch_file::inner_name

The name of the file as it should appear to the running job.

## hash

char* batch_file::hash

The hierarchical checksum of this file/directory, when content based names are used.

The documentation for this struct was generated from the following file:

- batch_file.h